#!/usr/bin/env python3

import sys

from PyQt5.QtCore import pyqtSlot,  QRect
from PyQt5.QtWidgets import QApplication,  QMainWindow,  QMessageBox
from PyQt5.QtGui import QPixmap,  QIcon

import Ui_form
Ui = Ui_form.Ui_MainWindow

class appWindow(QMainWindow,  Ui):
    def __init__(self, parent=None):
        super(appWindow, self).__init__(parent)
        self.setupUi(self)
        self.setWindowIcon(QIcon(":/res/images/camera-photo.svg"))
        self.label.setPixmap(QPixmap(":/res/images/Best_photo_1.jpg"))
    
    def resizeEvent(self, event):
        t_size = self.size()
        t_width = t_size.width()
        t_height = t_size.height()
        self.gridLayoutWidget.setGeometry(QRect(5, 10, t_width - 14, t_height - 15))
        super(appWindow,  self).resizeEvent(event)

    @pyqtSlot(name="on_pushButton_clicked")
    def ShowImage1(self):
        msgBox = QMessageBox()
        msgBox.setIcon(QMessageBox.Information)
        msgBox.setText("Are you sure you want Image 1?")
        msgBox.setWindowTitle("Confirmation")
        msgBox.setStandardButtons(QMessageBox.Ok | QMessageBox.Cancel)
        returnValue = msgBox.exec()
        if returnValue == QMessageBox.Ok:
            self.label.setPixmap(QPixmap(":/res/images/Best_photo_1.jpg"))

    @pyqtSlot(name="on_pushButton_2_clicked")
    def ShowImage2(self):
        msgBox = QMessageBox()
        msgBox.setIcon(QMessageBox.Information)
        msgBox.setText("Are you sure you want Image 2?")
        msgBox.setWindowTitle("Confirmation")
        msgBox.setStandardButtons(QMessageBox.Ok | QMessageBox.Cancel)
        returnValue = msgBox.exec()
        if returnValue == QMessageBox.Ok:
            self.label.setPixmap(QPixmap(":/res/images/Best_photo_2.jpg"))

    @pyqtSlot(name="on_pushButton_3_clicked")
    def ShowImage3(self):
        msgBox = QMessageBox()
        msgBox.setIcon(QMessageBox.Information)
        msgBox.setText("Are you sure you want Image 3?")
        msgBox.setWindowTitle("Confirmation")
        msgBox.setStandardButtons(QMessageBox.Ok | QMessageBox.Cancel)
        returnValue = msgBox.exec()
        if returnValue == QMessageBox.Ok:
            self.label.setPixmap(QPixmap(":/res/images/Best_photo_3.jpg"))


def main():
    app = QApplication(sys.argv)
    window = appWindow()
    window.show()
    app.exec()

if __name__ == "__main__":
    main()
